//==============================================================================
//	
//	Copyright (c) 2015-
//	Author:
//  * Andreas Fellner <andreas.fellner@ist.ac.at (Institute of Science and Technology Austria)
//	
//------------------------------------------------------------------------------
//
//  This file was created as part of the implementation for 
//  Counterexample Explanation by Learning
//  Small Strategies in Markov Decision Processes
//  Brázdil et al. 2015  
//
//	This file is part of PRISM.
//	
//	PRISM is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//	
//	PRISM is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	
//	You should have received a copy of the GNU General Public License
//	along with PRISM; if not, write to the Free Software Foundation,
//	Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	
//==============================================================================

package heuristics.decisiontree;

import parser.State;
import prism.PrismException;
import prism.PrismLog;
import simulator.SimulatorEngine;
import simulator.TransitionList;
import strat.MDStrategy;

public class DecisionTreePrismStrat extends DecisionTree
{

	private TransitionList trans;
	private MDStrategy strat;
	
	public DecisionTreePrismStrat(MDStrategy strat, SimulatorEngine engine) throws PrismException {
		trans = engine.getTransitionList();
		this.strat = strat;
	}
	
	@Override
	public void dumpTree(PrismLog log)
	{
		
	}

	@Override
	public void printInfo(PrismLog log)
	{
		
	}

	@Override
	public int getSize()
	{
		return 0;
	}

	@Override
	public void buildTree()
	{
		
	}

	@Override
	public void learnGood(State s, String module, String action)
	{
		
	}

	@Override
	public void learnBad(State s, String module, String action)
	{
		
	}

	@Override
	public String getTypeString()
	{
		return null;
	}

	@Override
	public boolean classify(State s, String module, String action)
	{
		return false;
	}

	@Override
	public double chanceGood(State s, String module, String action)
	{
		return 0;
	}

	@Override
	public void setOptions(String[] wekaOpts) throws Exception
	{
		
	}
	
}
